ServerNotFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ServerNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ServerNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.ObjectNotFoundException
                          org.hyperic.hq.appdef.shared.AppdefEntityNotFoundException
                              org.hyperic.hq.appdef.shared.ServerNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ServerNotFoundException

extends AppdefEntityNotFoundException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`ServerNotFoundException(AppdefEntityID id)`
`ServerNotFoundException(AppdefEntityID id, java.lang.String msg)`
`ServerNotFoundException(int id)`
`ServerNotFoundException(java.lang.Integer id)`
`ServerNotFoundException(java.lang.Integer id, java.lang.Throwable t)`
`ServerNotFoundException(int id, java.lang.Throwable t)`
`ServerNotFoundException(java.lang.String msg)`
`ServerNotFoundException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`int` | `getAppdefType()`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefEntityNotFoundException
`build, getNotFoundID, setNotFoundID`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerNotFoundException

    public ServerNotFoundException(java.lang.String msg)

### ServerNotFoundException

    public ServerNotFoundException(java.lang.String msg,
                                   java.lang.Throwable t)

### ServerNotFoundException

    public ServerNotFoundException(AppdefEntityID id)

### ServerNotFoundException

    public ServerNotFoundException(AppdefEntityID id,
                                   java.lang.String msg)

### ServerNotFoundException

    public ServerNotFoundException(int id)

### ServerNotFoundException

    public ServerNotFoundException(int id,
                                   java.lang.Throwable t)

### ServerNotFoundException

    public ServerNotFoundException(java.lang.Integer id)

### ServerNotFoundException

    public ServerNotFoundException(java.lang.Integer id,
                                   java.lang.Throwable t)

Method Detail

### getAppdefType

    public int getAppdefType()

  Specified by:
    `getAppdefType` in class `AppdefEntityNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.